/*-----------------------------------------------------------------------------
    Name: Authentication
    Generated By: Rajesh
    Date of generation: 05/20/2021 03:52:34
    Flow details:
    Build details: 4.6.0 (build# 68)
    Modification History:
-----------------------------------------------------------------------------*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "ns_string.h"

void Authentication()
{
    ns_start_transaction("AUTHENTICATION");
    ns_web_url ("AUTHENTICATION",
        "URL=https://api.mashery.com/v2/json-rpc/266?public_api=wyd8kq8urze3fxd5typhx5pu&apikey=736cph6cyarhydqjqb5pyptb&sig={{hash_sig}}",
        "METHOD=POST",
        "HEADER=authorization: Basic YXBpdXNlcjphcGlwYXNzd29yZA==",
        "HEADER=Content-Type:application/json",
        "HEADER=x-macys-clientid: WSSG"
,
        BODY_BEGIN,
            "{     "publicApi": "wyd8kq8urze3fxd5typhx5pu",     "apiKey": "736cph6cyarhydqjqb5pyptb",     "sig": "e58338b7ba03016b1850b40e0e3fbc34",     "id": 17,     "method": "oauth2.fetchAccessToken",     "params": ["wyd8kq8urze3fxd5typhx5pu", "gbaaqefyw96py63q6x3s3vam"] }",
        BODY_END
    );

    ns_end_transaction("AUTHENTICATION", NS_AUTO_STATUS);

    ns_start_transaction("OAuthMashrey");
    ns_web_url ("OAuthMashrey",
        "URL=https://auth.mcom-149.tbe.zeus.fds.com/v2/oauth2/token/userDetails?application=MOBILE",
        "METHOD=POST",
        "HEADER=Content-Type:application/x-www-form-urlencoded",
        "HEADER=Accept:application/json",
        "HEADER=Authorization:Basic N2I0ZXB0NjV1M21odXY5ZXp6OTJ0YnFuOktzVTlNWkF6dDl0RjhWa1c2dXNyWlo2ZA==",
        "HEADER=Accept-Encoding:gzip, deflate",
        "HEADER=Cache-Control:no-cache",
        "HEADER=Postman-Token:ee314155-6a04-4c44-3da0-11a3438b5319",
        "HEADER=:15_v6AkR4QQQj/OBNBzsLIwcsfug/JUh7I3+o1bA3GlkKXGi/1LfCr2noTrHgo51uUrrdg8jQuZjp0Sho16Iz6vKw=="
,
        BODY_BEGIN,
            "grant_type=password&mobileAppId=7b4ept65u3mhuv9ezz92tbqn&password=Macys1234&username=naveenb@gmail.com",
        BODY_END
    );

    ns_end_transaction("OAuthMashrey", NS_AUTO_STATUS);

}
